Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Class SelectedMailingAddressEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.exchange.SelectedMailingAddressEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class SelectedMailingAddressEnum
extends CollabEnum
implements java.io.Serializable

This class is used to represent which address type is used when sending information to a person or contact. The enumeration class that contains `SelectedMailingAddress` elements.

See Also:
  Serialized Form

Field Summary
`static SelectedMailingAddress` | `BUSINESS` The business address is the preferred address for mail
`static SelectedMailingAddress` | `HOME` The home address is the preferred address for mail
`static SelectedMailingAddress` | `NONE` Indicates that there is no selected mailing address.
`static int` | `NUM_ELEMENTS`
`static SelectedMailingAddress` | `OTHER` The 'other' address is the preferred address for mail
`static int` | `VALUE_BUSINESS`
`static int` | `VALUE_HOME`
`static int` | `VALUE_NONE`
`static int` | `VALUE_OTHER`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `SelectedMailingAddressEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `SelectedMailingAddressEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_NONE

    public static final int VALUE_NONE

### VALUE_HOME

    public static final int VALUE_HOME

### VALUE_BUSINESS

    public static final int VALUE_BUSINESS

### VALUE_OTHER

    public static final int VALUE_OTHER

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### NONE

    public static final SelectedMailingAddress NONE

  Indicates that there is no selected mailing address.

### HOME

    public static final SelectedMailingAddress HOME

  The home address is the preferred address for mail

### BUSINESS

    public static final SelectedMailingAddress BUSINESS

  The business address is the preferred address for mail

### OTHER

    public static final SelectedMailingAddress OTHER

  The 'other' address is the preferred address for mail

Constructor Detail

### SelectedMailingAddressEnum

    protected SelectedMailingAddressEnum(java.lang.Class elementClass,
                                         int iNumElements,
                                         com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                         EnumElement defaultElement,
                                         java.lang.String sInternalName,
                                         boolean bMaskable)

  Constructor.

### SelectedMailingAddressEnum

    protected SelectedMailingAddressEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.